package model;

import java.util.List;
import java.util.stream.Collectors;

import persistence.CustomerDao;
import persistence.CustomerEntity;

public class CustomerFacade {

	public List<Customer> findAll() {
		return new CustomerDao().findAll().stream() //
				.map(CustomerEntity::toCustomer) //
				.collect(Collectors.toList());
	}

}
